Package ghidra.app.util.bin.format.macho.commands.dyld

# Class BindingTable.Binding

java.lang.Object
ghidra.app.util.bin.format.macho.commands.dyld.BindingTable.Binding

Enclosing class:
  BindingTable

public static class BindingTable.Binding extends Object
A piece of binding information from a `BindingTable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Binding()`
  Creates a new `BindingTable.Binding`
  `Binding(BindingTable.Binding binding)`
  Creates a copy of the given `BindingTable.Binding`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAddend()`
  Returns The addend.
  `int`
  `getLibraryOrdinal()`
  Returns The library ordinal.
  `int`
  `getSegmentIndex()`
  Returns The segment index.
  `long`
  `getSegmentOffset()`
  Returns The segment offset.
  `String`
  `getSymbolName()`
  Returns The symbol name.
  `int`
  `getType()`
  Returns The type.
  `Integer`
  `getUnknownOpcode()`
  Returns null if the opcode is known; otherwise, returns the unknown opcode's value.
  `boolean`
  `isWeak()`
  Returns True if the binding is "weak"; otherwise false.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Binding

    public Binding()
    Creates a new `BindingTable.Binding`

  - ### Binding

    public Binding(BindingTable.Binding binding)
    Creates a copy of the given `BindingTable.Binding`
    Parameters:
      `binding` - The `BindingTable.Binding` to copy

- ## Method Details

  - ### getSymbolName

    public String getSymbolName()
    Returns The symbol name.
    Returns:
      The symbol name

  - ### getType

    public int getType()
    Returns The type.
    Returns:
      The type

  - ### getLibraryOrdinal

    public int getLibraryOrdinal()
    Returns The library ordinal.
    Returns:
      The library ordinal

  - ### getSegmentOffset

    public long getSegmentOffset()
    Returns The segment offset.
    Returns:
      The segment offset

  - ### getSegmentIndex

    public int getSegmentIndex()
    Returns The segment index.
    Returns:
      The segment index

  - ### getAddend

    public long getAddend()
    Returns The addend.
    Returns:
      The addend

  - ### isWeak

    public boolean isWeak()
    Returns True if the binding is "weak"; otherwise false.
    Returns:
      True if the binding is "weak"; otherwise false

  - ### getUnknownOpcode

    public Integer getUnknownOpcode()
    Returns null if the opcode is known; otherwise, returns the unknown opcode's value.
    Returns:
      null if the opcode is known; otherwise, returns the unknown opcode's value